"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Ticker_1 = require("./Ticker");
const Transport_1 = require("./Transport");
const OrderHistory_1 = require("./OrderHistory");
class BittrexClient {
    constructor(options) {
        this.options = options;
        this.transport = new Transport_1.Transport(options);
    }
    async ticker(market) {
        return this.transport.request(Ticker_1.TickerData, '/public/getticker', { market: market });
    }
    orderHistory(market) {
        return this.transport.request(OrderHistory_1.OrderHistoryData, '/account/getorderhistory', { market: market });
    }
}
exports.BittrexClient = BittrexClient;
